Description: Make bookworm the default Debian version for the classic X2Go TCE.
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

--- a/management/etc/x2gothinclient_settings
+++ b/management/etc/x2gothinclient_settings
@@ -43,8 +43,9 @@
 TC_DEBMIRROR_URL="http://ftp.debian.org/debian"

 # Distro codename to use...
-TC_DISTRO_CODENAME="buster"
+TC_DISTRO_CODENAME="bookworm"
 # or use older Debian ...
+#TC_DISTRO_CODENAME="buster"
 #TC_DISTRO_CODENAME="stretch"

 # Default architecture is "amd64"
--- a/management/sbin/x2gothinclient_create
+++ b/management/sbin/x2gothinclient_create
@@ -44,7 +44,7 @@
 TC_BASE="${TC_BASE:-/opt/x2gothinclient}"
 TC_CHROOT="${TC_CHROOT:-$TC_BASE/chroot}"
 TC_CONFIG="${TC_CONFIG:-$TC_BASE/etc}"
-TC_DISTRO_CODENAME="${TC_DISTRO_CODENAME:-stretch}"
+TC_DISTRO_CODENAME="${TC_DISTRO_CODENAME:-bookworm}"
 TC_DEBMIRROR_URL="${TC_DEBMIRROR_URL:-'http://ftp.debian.org/debian'}"
 TC_X2GO_DEBURL="${TC_X2GO_DEBURL:-'deb http://packages.x2go.org $TC_DISTRO_CODENAME main'}"
 TC_MODULE_BLACKLIST="${TC_MODULE_BLACKLIST:-'pcspkr'}"
